=== debian/changelog ===
android-platform-external-boringssl (13~preview2-7ubuntu3) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Make sure to export the binaries in a known dwarf format, to avoid
      failures in dh_dwz and dh_strip with llvm-14

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jun 2022 08:38:37 +0200

android-platform-external-boringssl (13~preview2-7) unstable; urgency=medium

  * Team upload.
  * [again] Use lld as linker on available platforms.

 -- Roger Shimizu <rosh@debian.org>  Tue, 28 Jun 2022 02:04:55 +0900

android-platform-external-boringssl (13~preview2-6) unstable; urgency=medium

  * Team upload.
  * Use lld as linker on available platforms.
  * debian/patches/0[12]: Add patch description.
  * d/source/lintian-overrides: Adapt new rule to source filename.
  * Add debian/upstream/metadata.

 -- Roger Shimizu <rosh@debian.org>  Mon, 27 Jun 2022 19:38:58 +0900

android-platform-external-boringssl (13~preview2-5) unstable; urgency=medium

  * Team upload.
  * debian/*.mk: Fix ftbfs for mips*el.

 -- Roger Shimizu <rosh@debian.org>  Sun, 19 Jun 2022 02:14:20 +0900

android-platform-external-boringssl (13~preview2-4) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream tag platform-tools-33.0.1.
  * Move -pie from debian/rules to debian/*.mk executable build.
  * [ubuntu] debian/rules: ignore dh_dwz error.
  * Use lld as linker when available.

 -- Roger Shimizu <rosh@debian.org>  Sun, 19 Jun 2022 00:21:10 +0900

android-platform-external-boringssl (13~preview2-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore dwz failures, failing since clang-14 default

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Jun 2022 09:11:54 +0200

android-platform-external-boringssl (13~preview2-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Move common CPPFLAGS from d/*.mk to d/rules
  * d/control: Move android-libboringssl-dev from Architecture: all to
    each arch being supported.

 -- Roger Shimizu <rosh@debian.org>  Mon, 13 Jun 2022 00:52:06 +0900

android-platform-external-boringssl (13~preview2-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Ignore dwz failures, failing since clang-14 default

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Jun 2022 11:28:01 +0200

android-platform-external-boringssl (13~preview2-2) unstable; urgency=medium

  * Team upload.
  * debian/*.mk: Fix ftbfs for armel.

 -- Roger Shimizu <rosh@debian.org>  Tue, 07 Jun 2022 18:35:21 +0900

android-platform-external-boringssl (13~preview2-1ubuntu1) kinetic; urgency=medium

  * Ignore dwz failures, failing since clang-14 default

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Jun 2022 14:59:10 +0200

android-platform-external-boringssl (13~preview2-1) unstable; urgency=medium

  * Team upload.
  * debian/*.mk: Using the "gnu11" variant means we don't need _XOPEN_SOURCE.
    Additionally, using C11 makes the faster refcount implementation
    available. This setting is from upstream.

 -- Roger Shimizu <rosh@debian.org>  Mon, 06 Jun 2022 21:09:55 +0900

android-platform-external-boringssl (13~preview2-1~exp1) unstable; urgency=medium

  * Team upload.
  * New upstream version 13~preview2
  * debian/patches: Refresh patches.
  * debian/sources.mk: Update by script.

 -- Roger Shimizu <rosh@debian.org>  Wed, 01 Jun 2022 04:00:31 +0900

android-platform-external-boringssl (12.1.0+r5-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/control: Limit architecture.

 -- Roger Shimizu <rosh@debian.org>  Tue, 31 May 2022 01:41:52 +0900

android-platform-external-boringssl (12.1.0+r5-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/rules: Build and test only for -arch build.

 -- Roger Shimizu <rosh@debian.org>  Mon, 30 May 2022 19:06:02 +0900

android-platform-external-boringssl (12.1.0+r5-1~exp10) experimental; urgency=medium

  * Team upload.
  * debian/crypto_test.mk: Fallback to gcc for mips64el.
    Thanks to Adrian Bunk for fixing this test for mips64el.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 May 2022 16:50:06 +0900

android-platform-external-boringssl (12.1.0+r5-1~exp9) experimental; urgency=medium

  * Team upload.
  * debian/control: Update Depends version.
  * debian/tests/control: Add autopkgtest test.

 -- Roger Shimizu <rosh@debian.org>  Sat, 28 May 2022 18:38:29 +0900

android-platform-external-boringssl (12.1.0+r5-1~exp8) experimental; urgency=medium

  * Team upload.
  * debian/rules:
    - Disable building bssl-tools for Hurd.
    - Add -pie to LDFLAGS to enhance the hardening.
  * debian/control:
    - Add android-boringssl package to include the tool.
  * debian/copyright & debian/source/lintian-overrides:
    - Adapt with new upstream.

 -- Roger Shimizu <rosh@debian.org>  Thu, 26 May 2022 01:00:02 +0900

android-platform-external-boringssl (12.1.0+r5-1~exp7) experimental; urgency=medium

  * Team upload.
  * debian/tool_test.mk and debian/rules:
    - Add bssl-tool to build.
  * debian/rules:
    - Still run failing test for mips64el, just ignore the result.

 -- Roger Shimizu <rosh@debian.org>  Mon, 23 May 2022 21:01:59 +0900

android-platform-external-boringssl (12.1.0+r5-1~exp6) experimental; urgency=medium

  * Team upload.
  * Disable crypto_test for mips64el temporarily.
  * Split test_support as an independant library.
  * d/rules:
    - Make dependency driven makefile rules.

 -- Roger Shimizu <rosh@debian.org>  Mon, 16 May 2022 23:23:41 +0900

android-platform-external-boringssl (12.1.0+r5-1~exp5) experimental; urgency=medium

  * Team upload.
  * Update eureka.mk and source it in debian/*.mk
  * d/{crypto,ssl}_test.mk:
    - Link with atomic for armel.
  * d/patches:
    - Update 01 patch to fix x32.

 -- Roger Shimizu <rosh@debian.org>  Mon, 16 May 2022 02:25:59 +0900


