=== debian/watch ===
# uscan --download-version 12.1.0_r5

version=4
opts="pagemangle=s%\">android-%\.tar\.gz\">android-%g;s%/\+/refs/tags/%/+archive/%g, \
      oversionmangle=s%_r(\d+|\d+\.\d+|\w)%+r$1%, \
      repack, compression=xz, \
      filenamemangle=s%[\w\/\.:]+\+archive\/android-%@PACKAGE@-%" \
https://android.googlesource.com/platform/external/boringssl/+refs \
    [\w\/]+\+archive\/android-([0-9\.]+_r\d+|\d+\.\d+|\w)\.tar\.gz
