## android-platform-external-boringssl 13.0.0%2Br24

=== debian/changelog ===
android-platform-external-boringssl (13.0.0+r24-2+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 10.0.0+r36-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 19 Jan 2021 16:01:40 +0000]
  * Mark asm as armv6 to avoid setting off armv7 contamination checker.
  * set __ARM_MAX_ARCH__ to 6.
  * disable HWAES define.
  * disable GHASH_ASM_ARM define.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 20 Jan 2023 23:35:28 +0000

android-platform-external-boringssl (13.0.0+r24-2) unstable; urgency=medium

  * debian/patches: Refresh again.
  * debian/rules: Add script to import new upstream.
  * debian/lintian-overrides: Add mips*el specific tag.

 -- Roger Shimizu <rosh@debian.org>  Tue, 17 Jan 2023 21:08:43 -0800

android-platform-external-boringssl (13.0.0+r24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Roger Shimizu ]
  * New upstream release 13.0.0+r24
  * debian/*.lintian-overrides: Update to make more accurate.
  * debian/copyright:
    - Remove non-existing entries.
    - Fix typo.

 -- Roger Shimizu <rosh@debian.org>  Mon, 16 Jan 2023 02:04:16 -0800

android-platform-external-boringssl (13.0.0+r11-3) unstable; urgency=medium

  * Team upload.
  * Add patch to skip failing test (Closes: #1026716)
  * Move package description to source package

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 27 Dec 2022 22:11:29 +0100

android-platform-external-boringssl (13.0.0+r11-2) unstable; urgency=medium

  * debian/rules: Export gdwarf-4 so we align with ubuntu patches.

 -- Roger Shimizu <rosh@debian.org>  Tue, 15 Nov 2022 22:28:07 -0800

android-platform-external-boringssl (13.0.0+r11-1) unstable; urgency=medium

  * New upstream release 13.0.0+r11
  * debian/patches: Remove backport patch.
  * debian/copyright: Update file list.
  * debian/sources.mk: Update by script.
  * debian/control: Add myself as uploader.

 -- Roger Shimizu <rosh@debian.org>  Sat, 29 Oct 2022 01:58:01 -0700
