## android-platform-external-boringssl 13.0.0+r11

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Kai-Chung Yan <seamlikok@gmail.com>
+Uploaders: Roger Shimizu <rosh@debian.org>
 Build-Depends:
  clang [amd64 i386 armel armhf arm64 mipsel mips64el ppc64el riscv64],
  debhelper-compat (= 12),
