=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 ## Security Hardening
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -fPIC
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
 export DEB_LDFLAGS_MAINT_APPEND = -fPIC
@@ -21,11 +21,9 @@
 ifneq (, $(shell which clang))
   export CC = clang
   export CXX = clang++
-  export DEB_CFLAGS_MAINT_APPEND += -gdwarf-4
-  export DEB_CXXFLAGS_MAINT_APPEND += -gdwarf-4
 endif
 ifneq (, $(shell which lld))
-  export DEB_LDFLAGS_MAINT_APPEND += -fuse-ld=lld -Wl,--build-id=sha1
+  export DEB_LDFLAGS_MAINT_APPEND += -fuse-ld=lld
 endif
 
 %:
